Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.space
Class Object2dDisplayCImpl

    java.lang.Object
      |
      +--swarm.BaseImpl
            |
            +--swarm.PhaseCImpl
                  |
                  +--swarm.space.Object2dDisplayCImpl

public class Object2dDisplayCImpl
extends PhaseCImpl
implements SwarmObjectC, SwarmObjectS, Object2dDisplayS, Object2dDisplayC

Object2dDisplay displays 2d arrays of objects.. Object2dDisplay helps display 2d arrays of objects. Create a Object2dDisplay, give it a Raster widget to draw on, a Discrete2d, a message to call on each object, and (optionally) a collection of objects and it will dispatch the message to all objects with the Raster widget as an argument. In addition, Object2dDisplay can help you make probees.

Fields inherited from class swarm.PhaseCImpl
`nextPhase`

Constructor Summary
`Object2dDisplayCImpl()`
`Object2dDisplayCImpl(Object2dDisplay nextPhase)`

Methods implemented by this class for interface swarm.space.Object2dDisplayC
`create$setDisplayWidget$setDiscrete2dToDisplay$setDisplayMessage, setDiscrete2dToDisplay, setDisplayMessage, setDisplayWidget`

Methods implemented by this class for interface swarm.defobj.CreateC
`create, createBegin, createEnd`

Methods implemented by this class for interface swarm.defobj.CustomizeC
`customizeBegin, customizeCopy, customizeEnd`

Methods inherited from class swarm.PhaseCImpl
`_copy_creating_phase_to_using_phase`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Object2dDisplayCImpl

    public Object2dDisplayCImpl(Object2dDisplay nextPhase)

### Object2dDisplayCImpl

    public Object2dDisplayCImpl()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD